﻿using System;
using System.Collections.Generic;
using Rhino;
using Rhino.Commands;
using Rhino.Geometry;
using Rhino.Input;
using Rhino.Input.Custom;

namespace CSGLoader
{
    [System.Runtime.InteropServices.Guid("90d1517f-ce61-4a98-9b50-f4ad224a60c8")]
    public class CSGLoaderCommand : Command
    {
        public CSGLoaderCommand()
        {
            // Rhino only creates one instance of each command class defined in a
            // plug-in, so it is safe to store a refence in a static property.
            Instance = this;
        }

        ///<summary>The only instance of this command.</summary>
        public static CSGLoaderCommand Instance
        {
            get; private set;
        }

        ///<returns>The command name as it appears on the Rhino command line.</returns>
        public override string EnglishName
        {
            get { return "CSGLoaderCommand"; }
        }

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
          
            CSGHeaderReader csghr=new CSGHeaderReader();

            bool fileRead=csghr.Read(@"D:\t1.csg");


            if (fileRead)
                RhinoApp.WriteLine("CSG File Header Read Correctly");
            else
                RhinoApp.WriteLine("Error Reader CSG File Header");

            return Result.Success;
        }
    }
}
